## tupi 0.2+git08

=== debian/changelog ===
tupi (0.2+git08-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS due to QPainterPath. (Closes: #975133)
    - Thanks to Gustav Gonzalez.
  * Update Standards-Version to 4.5.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 30 Nov 2020 19:37:49 +0000

tupi (0.2+git08-3) unstable; urgency=medium

  * QA upload.
  * Update compat level to 13.
  * Remove parallel from d/rules, which is default now.
  * Use https with copyright-format-uri.
  * Remove unnecessary get-orig-source from d/rules.
  * Fix FTBFS. (Closes: #963386)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 25 Jun 2020 10:32:35 +0100

tupi (0.2+git08-2) unstable; urgency=medium

  * QA upload.
  * Remove non-salsa Vcs link
  * Update compat level to 12
  * Update Standards-Version to 4.5.0
  * Orphan the package. (See: #885983)
  * Fix ftbfs. (Closes: #873023)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 09 Feb 2020 17:39:12 +0000

tupi (0.2+git08-1) unstable; urgency=medium

  * New upstream release [August 2016].
  * Corrected Vcs-Git URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 28 Aug 2016 11:16:40 +1000
