=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=5
QM_FILES := $(patsubst %.ts, %.qm, $(wildcard src/shell/data/translations/*.ts))

%:
	dh $@

override_dh_auto_clean:
	$(RM) -v configure.tests/*/Makefile $(QM_FILES)
	dh_auto_clean

override_dh_auto_configure:
	# override qonf/defaults.rb
	ruby configure.rb \
            --without-debug \
            --prefix=/usr \
            --bindir=/usr/lib/tupi/bin \
            --libdir=/usr/lib/tupi \
            --sharedir=/usr/share/tupi \
            --includedir=/usr/include/tupi
	# force qmake-generated Makefiles to respect dpkg-provided flags and don't strip
	perl -0pi -e 's[(CXXFLAGS\s*=)][$$1 $$ENV{CFLAGS} $$ENV{CPPFLAGS}]; \
                      s[(LFLAGS\s*=)][$$1 $$ENV{LDFLAGS}]; \
                      s[(CFLAGS\s*=)][$$1 $$ENV{CFLAGS}]; \
                      s[(STRIP\s*=)\s*\w+][$$1 true];' \
                     $$(find . -name Makefile)

$(QM_FILES):
	# rebuild translations
	lupdate tupi.pro -locations none -silent -ts $(@:.qm=.ts)
	lrelease $(@:.qm=.ts)

override_dh_auto_build: $(QM_FILES)
	convert -monitor launcher/icons/tupi_32x32.png debian/tupi_32x32.xpm
	cd src/components/help/man && gzip -9 -c tupi.man > tupi.1.gz
	dh_auto_build

override_dh_fixperms:
	dh_fixperms
	if [ -d "$(CURDIR)/debian/tupi-data" ]; then \
            find $(CURDIR)/debian/tupi-data/usr/share/tupi/data/xml/ \
                -type f -executable -exec chmod -c a-x '{}' \;\
        ;fi

override_dh_install:
	dh_install
	# De-duplication (http://wiki.debian.org/dedup.debian.net):
	rdfind -outputname /dev/null -makesymlinks true debian/tupi-data
	symlinks -rsc debian/tupi-data

PDIR     := $(CURDIR)/debian/tupi
override_dh_shlibdeps:
	LD_LIBRARY_PATH="$(PDIR)/usr/lib/tupi:$(PDIR)/usr/lib/tupi/plugins:$(LD_LIBRARY_PATH)" dh_shlibdeps

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

override_dh_strip:
	dh_strip --dbgsym-migration='tupi-dbg (<< 0.2+git07~)'
