=== debian/watch ===
# uscan(1) configuration file
version=3

## Redirector http://qa.debian.org/watch/sf.php/tupi2d/
opts=\
uversionmangle=s/\-git/\+git/ \
 http://sf.net/tupi2d/tupi[_-]([0-9.]+\-git[0-9]+)\.tar\.(?:gz|bzip2|xz)
